#version 450 core
in vec3 vert_normal;
in vec2 vert_texCoord;

out vec4 FragColor;

uniform sampler2D albedo;
uniform vec4 albedo_tint;

void main()
{
    FragColor = texture(albedo, vert_texCoord) * albedo_tint;

    if (FragColor.a < 0.9) discard;
}